<?php
/**
 * Banner Section
 *
 * @package roof_water_proofing
 */

$wp_customize->add_section(
	'roof_water_proofing_banner_section',
	array(
		'panel'    => 'roof_water_proofing_front_page_options',
		'title'    => esc_html__( 'Banner Section', 'roof-water-proofing' ),
		'priority' => 10,
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'roof_water_proofing_enable_banner_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'roof_water_proofing_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Roof_Water_Proofing_Toggle_Switch_Custom_Control(
		$wp_customize,
		'roof_water_proofing_enable_banner_section',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'roof-water-proofing' ),
			'section'  => 'roof_water_proofing_banner_section',
			'settings' => 'roof_water_proofing_enable_banner_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'roof_water_proofing_enable_banner_section',
		array(
			'selector' => '#roof_water_proofing_banner_section .section-link',
			'settings' => 'roof_water_proofing_enable_banner_section',
		)
	);
}

// Banner Section - Banner Slider Content Type.
$wp_customize->add_setting(
	'roof_water_proofing_banner_slider_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'roof_water_proofing_sanitize_select',
	)
);

$wp_customize->add_control(
	'roof_water_proofing_banner_slider_content_type',
	array(
		'label'           => esc_html__( 'Select Banner Slider Content Type', 'roof-water-proofing' ),
		'section'         => 'roof_water_proofing_banner_section',
		'settings'        => 'roof_water_proofing_banner_slider_content_type',
		'type'            => 'select',
		'active_callback' => 'roof_water_proofing_is_banner_slider_section_enabled',
		'choices'         => array(
			'page' => esc_html__( 'Page', 'roof-water-proofing' ),
			'post' => esc_html__( 'Post', 'roof-water-proofing' ),
		),
	)
);

for ( $roof_water_proofing_i = 1; $roof_water_proofing_i <= 3; $roof_water_proofing_i++ ) {

	// Banner Section - Select Banner Post.
	$wp_customize->add_setting(
		'roof_water_proofing_banner_slider_content_post_' . $roof_water_proofing_i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'roof_water_proofing_banner_slider_content_post_' . $roof_water_proofing_i,
		array(
			/* translators: %d: Select Post Count. */
			'label'           => sprintf( esc_html__( 'Select Post %d', 'roof-water-proofing' ), $roof_water_proofing_i ),
			'section'         => 'roof_water_proofing_banner_section',
			'settings'        => 'roof_water_proofing_banner_slider_content_post_' . $roof_water_proofing_i,
			'active_callback' => 'roof_water_proofing_is_banner_slider_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => roof_water_proofing_get_post_choices(),
		)
	);

	// Banner Section - Select Banner Page.
	$wp_customize->add_setting(
		'roof_water_proofing_banner_slider_content_page_' . $roof_water_proofing_i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'roof_water_proofing_banner_slider_content_page_' . $roof_water_proofing_i,
		array(
			/* translators: %d: Select Page Count. */
			'label'           => sprintf( esc_html__( 'Select Page %d', 'roof-water-proofing' ), $roof_water_proofing_i ),
			'section'         => 'roof_water_proofing_banner_section',
			'settings'        => 'roof_water_proofing_banner_slider_content_page_' . $roof_water_proofing_i,
			'active_callback' => 'roof_water_proofing_is_banner_slider_section_and_content_type_page_enabled',
			'type'            => 'select',
			'choices'         => roof_water_proofing_get_page_choices(),
		)
	);

	// Banner Section - Button Label.
	$wp_customize->add_setting(
		'roof_water_proofing_banner_button_label_' . $roof_water_proofing_i,
		array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'roof_water_proofing_banner_button_label_' . $roof_water_proofing_i,
		array(
			/* translators: %d: Button Label Count. */
			'label'           => sprintf( esc_html__( 'Button Label', 'roof-water-proofing' )),
			'section'         => 'roof_water_proofing_banner_section',
			'settings'        => 'roof_water_proofing_banner_button_label_' . $roof_water_proofing_i,
			'type'            => 'text',
			'active_callback' => 'roof_water_proofing_is_banner_slider_section_enabled',
		)
	);

	// Banner Section - Button Link.
	$wp_customize->add_setting(
		'roof_water_proofing_banner_button_link_' . $roof_water_proofing_i,
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'roof_water_proofing_banner_button_link_' . $roof_water_proofing_i,
		array(
			/* translators: %d: Button Link Count. */
			'label'           => sprintf( esc_html__( 'Button Link', 'roof-water-proofing' )  ),
			'section'         => 'roof_water_proofing_banner_section',
			'settings'        => 'roof_water_proofing_banner_button_link_' . $roof_water_proofing_i,
			'type'            => 'url',
			'active_callback' => 'roof_water_proofing_is_banner_slider_section_enabled',
		)
	);
}

// Banner Button Label Color
$wp_customize->add_setting(
	'roof_water_proofing_banner_btn_color',
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'roof_water_proofing_banner_btn_color',array(
			'label' => __('Banner Button Label Color','roof-water-proofing'),
			'section' => 'roof_water_proofing_banner_section',
			'settings' => 'roof_water_proofing_banner_btn_color',
			'active_callback' => 'roof_water_proofing_is_banner_slider_section_enabled',
		)
	)
);

// Banner Button Background Color
$wp_customize->add_setting('roof_water_proofing_banner_btn_bg_color',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'roof_water_proofing_banner_btn_bg_color',array(
			'label' => __('Banner Button Background Color','roof-water-proofing'),
			'section' => 'roof_water_proofing_banner_section',
			'settings' => 'roof_water_proofing_banner_btn_bg_color',
			'active_callback' => 'roof_water_proofing_is_banner_slider_section_enabled',
		)
	)
);
